Exception::getMessage
Exception::getFile
Exception
PHP Manual

# Exception::getCode

(PHP 5 >= 5.1.0)

Exception::getCode — Gibt die Fehlernummer der Exception zurück

### Beschreibung

final public int Exception::getCode ( void )

Gibt die Fehlernummer der Exception zurück.

### Parameter-Liste

Diese Funktion hat keine Parameter.

### Rückgabewerte

Gibt die Fehlernummer der Exception als integer zurück.

### Beispiele

Beispiel #1 Exception::getCode()-Beispiel

`<?php
try {
throw new Exception("Some error message", 30);
} catch(Exception $e) {
echo "The exception code is: " . $e->getCode();
}
?>`

Das oben gezeigte Beispiel erzeugt eine ähnliche Ausgabe wie:

    The exception code is: 30

Exception::getMessage
Exception::getFile
Exception
PHP Manual